workerconfig 4.8.1;
buttons {
	button {
		position = 0;
		title = "pack LZIP";
		color = 1,0;
		shortkeys {
		}
		commands {
			OwnOp {
				separateeachentry = true;
				recursive = false;
				start = terminalwait;
				com = "lzip -v -{Rs{Compression 0-9 (default 6)}{6}} -- {F}";
				viewstr = "";
				inbackground = false;
				takedirs = false;
				dontcd = false;
			}
			ReloadOp {
				mode = current;
				resetdirsizes = false;
				keepfiletypes = false;
			}
		}
	}
	button {
		position = 1;
		title = "unpack LZIP";
		color = 1,0;
		shortkeys {
		}
		commands {
			OwnOp {
				separateeachentry = true;
				recursive = false;
				start = terminalwait;
				com = "lzip -d -v -- {F}";
				viewstr = "";
				inbackground = false;
				takedirs = false;
				dontcd = false;
			}
			ReloadOp {
				mode = current;
				resetdirsizes = false;
				keepfiletypes = false;
			}
		}
	}
}
filetypes {
	filetype {
		title = "LZIP archive";
		pattern = "*.tar.lz,*.tlz";
		usepattern = true;
		usecontent = false;
		content {
		}
		type = normal;
		patternignorecase = true;
		patternuseregexp = false;
		patternusefullname = false;
		extcond = "";
		useextcond = false;
		ftcommands {
			dnd {
				OwnOp {
					separateeachentry = false;
					recursive = false;
					start = terminalwait;
					com = "lzip -c -d -k -- {F} | tar xvf - -C {dp}";
					viewstr = "";
					inbackground = false;
					takedirs = false;
					dontcd = false;
				}
				ReloadOp {
					mode = left;
					resetdirsizes = false;
					keepfiletypes = false;
				}
				ReloadOp {
					mode = right;
					resetdirsizes = false;
					keepfiletypes = false;
				}
			}
			customaction {
				name = "unlzip";
				commands {
					OwnOp {
						separateeachentry = false;
						recursive = false;
						start = terminalwait;
						com = "lzip -d -- {f}";
						viewstr = "";
						inbackground = false;
						takedirs = false;
						dontcd = false;
					}
					ReloadOp {
						mode = current;
						resetdirsizes = false;
						keepfiletypes = false;
					}
				}
			}
		}
		subtype {
		}
		colormode = default;
		unselectcolor = 1,0;
		selectcolor = 1,0;
		unselectactivecolor = 1,0;
		selectactivecolor = 1,0;
		pattern_is_comma_separated = true;
	}
}
